GNU bug report logs - #56155
29.0.50; Options menu, toggle menu items not updated

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Gerd Möllmann <gerd.moellmann@HIDDEN>; dated Thu, 23 Jun 2022 09:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 29 Jun 2022 10:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 06:16:49 2022
Received: from localhost ([127.0.0.1]:57564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Ukb-0007On-GJ
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 06:16:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6UkZ-0007Ob-Pr
 for 56155 <at> debbugs.gnu.org; Wed, 29 Jun 2022 06:16:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=k29g3jciyJDx4741C0xI3C+xM6h1YfByru9sjIJuexE=; b=YdVLZYhr8HI5wqB6pQyS9uLZUE
 ZDBw/TcwkDDCcir1XKf2M+z4c11nPUY+ByKJ1lJ1ICr3WLn3GZARNrZqkkNMBnMB011auzH7XEPpq
 T+gEF0g4bzLST0Hr3Vunphm+se8EExCabL6TPD+Qf9mIrsB6q8aXjT82TAhoCCjJLjGQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6UkQ-0006De-Qe; Wed, 29 Jun 2022 12:16:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <4D36A40C-2174-46AD-9AB4-75F120F3C195@HIDDEN>
X-Now-Playing: Django Django's _Glowing In The Dark_: "Hold Fast"
Date: Wed, 29 Jun 2022 12:16:38 +0200
In-Reply-To: <4D36A40C-2174-46AD-9AB4-75F120F3C195@HIDDEN> ("Gerd
 =?utf-8?Q?M=C3=B6llmann=22's?= message of "Wed, 29 Jun 2022 08:04:14
 +0200")
Message-ID: <87bkublqpl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Gerd Möllmann <gerd.moellmann@HIDDEN> writes: > I think
    the bug can be closed, but I don't see how I could do that. > Or maybe I
   can't and shouldn't, I don't know. You can close the bug by sending a mail
    to 56155-close <at> debbugs.gnu.org, but there still seems to be discussions about
    more general ways to fix this... 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56155
Cc: Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Gerd M=C3=B6llmann <gerd.moellmann@HIDDEN> writes:

> I think the bug can be closed, but I don't see how I could do that.
> Or maybe I can't and shouldn't, I don't know.

You can close the bug by sending a mail to 56155-close <at> debbugs.gnu.org,
but there still seems to be discussions about more general ways to fix
this...

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 29 Jun 2022 08:53:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 04:53:39 2022
Received: from localhost ([127.0.0.1]:57217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6TS6-0002y3-Qh
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 04:53:38 -0400
Received: from sonic301-31.consmr.mail.ne1.yahoo.com ([66.163.184.200]:42806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1o6TS5-0002xq-Az
 for 56155 <at> debbugs.gnu.org; Wed, 29 Jun 2022 04:53:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656492811; bh=tetfMNLOUuZYFaW8lYXShcRxbkXclCo3OVIxpiraImc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=KC4SqJ4Yw9MP5wRF2xmAtt17smz21CG7Coxkd2TelECOUpS3fbCiQCo8E/BgO32/aWIG2qDcX1Bx1jgpBqmuRpr2GIvjuI8SP1ofgyIUeKNijil/TAHzNxM0A2eZYssXAjT7Gt8JToRbrxs7ftYvt7MdDlHXNd4PECpwboH4c3uGcOobVNWwhcnJ25camJGJ/8ubBsJ/f6IiTL0MuT0TgSRZ0NtQMF9plef+3oidSJxqv5H5CjJIapY1d1YLM7he1w/g12971QeCoL0P/MqnEdjgsFJM5B55zsdq3GKW7hbnX1AKdmB2QGUSZvAj6uhPj+8qULh2kjGMxW+G7kDpdg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656492811; bh=S7R1nNf8DQercQKSS0y+K6k8v15sYGKFtcuhQnmC9pm=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=nmPbTlXMAsmsvzmA05lMnlkbOu1ZYx3RUbCAYHrpjXdnY0osu+FMTX7oLSaVKJ6bGoKCrL1vecFR4nbR5xFmIvmSdpTLc59s53YiWJHEEXmnX/3hTFBgWzUKGF/hVJDncId6E2t4PSzamFBhyoLoS7hGexzS1XMUe4JiuxIEf2t/mptSPxinVF76n7SdUe0hd1UYU5ZuoFKttwRXzEd0x7G8lmJXSN/uK9XC5gbLjPtEjG0uwcBPEK+KZFZomU0l6/knbd4mIrG/QZFwQ9KWwaZSRQPw6bwEgux4NIxhsqjcxeyN6vASmyj5SFMXqezRy4Sh4ZPtOOZ6zzwT+0u0RQ==
X-YMail-OSG: 8_Zuk8UVM1kvDb39XLSV.Qxvc9aAFUVNvqK49UtRA9fGXgzDZjTgK6cXHSQVN20
 ksmeDdMmgZwgqWKx5Ai.NBLPNCQGYDccbaHZKDC9zARtybng3Wvoz8TkdLwuoL4ULtg0xStDhtSY
 FmMeT2RKLCbNu02IGQ2s87WVwd6ZO5X7RmU_z0dDHVCJ3f5uPbdBkcTZSkiDdg6.neMSuyTPo6sJ
 ts4P01WvKS3z46hphVBxenbxfaO17AXXtQj2fiksgowQTW.1WX06e37eTjJllWL.XI2a1Z48XuOl
 PuOi0pmKHOpiVWiFrux.5O59uMzcV1YtMOxb7jpZEIvN9M6I0YNI9ZhYGHrzlYRGg6KTi4sm7h9K
 17XkoDd9LxPatwZrh_p3y6HtRmMtIKKlP1ULzBPAoEt1UyLtcDPeq6rW94BK1GJbislngtr1oHhr
 d5NXK8CQA2iFpevthYSq237zp_1ffnWxjJ7vJ4zFbaBczOmJiZU9LfJ3pgStzsE4q4aMFV1qhbNv
 b8kv6T8or8uZG5ljnBcd5X_1.Y1BxF146CJuySDMFlqJfkNH.tZaRGWabZeb1Y6rNb.I3IONgT1K
 27MNfIuqgcg8n0PRqDfonYG1Urdc6n7ybODxExC3G3dHDVwlEhyTS2XAHVjJCJ5vBVU29Ev7k.Es
 5gwdfflSJeW.ZxQ6kvOIicYLfSC4RuMqxcuYiYoiKy5DJPPKUTRYbjGbQl13EqENiMFyFBICtPZQ
 THh6wByrSymuNAHsCU7g3eAJi3xSmU4xuq0zs.SSjLfsay5KzSze1LvnsuarlEEdHoawUlx921yZ
 0dBnVfm6pPZgzQqQHnk8P7wzELC.IgI4zs52MhTAEbSrqUCzS48OZtF6R_2xTSGaHbS2GcwRSri0
 sYCWkpMjqm2dE8LwWnpFMrym9aZx5McwXC_2rovUVtvnpqDcxtdYs3Ui3_chc15HjaDnuK_wJ97N
 6b3XO7P3qXs8tjyaavWaeV1qg4IN0xdFaJ36ZqsCK0O4Csq8pC0QzMx6wYYpncC9q9kWTyQTAWc9
 2mcrQrWkqr.ew3izd7Z1ZD47pTShMQBLA.pF_nk6FDXx_cvykPXVJbP0G_rIubnp_2orDCPvrEnm
 9JhIlDXRgf7Sqgp7oq7qBIDEEhJ9EthcsAC5q_FA_DNRBfxggo2RriVRyTjXM0S5VpHaSGz5Z6ty
 mAx.G_oCE0cgYviyBedyfUhvBAmehVxZ3Mz7NLnpvls.zADVBHEruA2UhhHr_CRCyi4hD7xlQvTV
 tiHy5qhudQxGR_JMTxJuRbWPfq3y_zA3a8xq3QKW6HP6_xu9JFv2EDC_qOyywLyw5F2pq4PALPho
 v5E9SMvPgIp6ipoIiWfTQy3S3DNwsLtb4YbuX7E0tiVqbPrvKaZ6jFvLCYp2CiJc343SnCUUYp6.
 A72j6Mg9MBrRPSJjIZJWfQ2YPp50QXBhFqNnki_kDfhEUGUL65O142B0h1OMYYf6Pkn.an6m.RFa
 .J_qqYXi4vC9FNy8PveM6vzkJy0hBvy2u43Pqy6ghTmPLxT8dbw_4L7.xlYdbKpY3an7RdQeQRQd
 bA0THwYR6FpRzfOjSy4skWd7W8EHlF7BtEBQ3xhC03urrSMCBWCD_lHdKhA2o_l0dNB6kpappaA1
 gmLHtumxvGX_nnCfC8rb8j4a3cBQk.R79Y4xF4Z3wkcpx8OxJSMpoZaNj.00HcIX1zmg7baJmt7Y
 aAeBGjhBX6UdZgcbUJ8G9yf.SSeNX_GyJcvaX8qFEezNqVHW2RBR01hBLmshWNzAJyzc7q7Djeus
 Z8lMeqUoYYj4Ftn_xFlt3a7nfb2t1I5YT7tvx4QKDKuZ0oMOMwuNg2xT_rzf0ZjWttDtfrE0csLg
 JxnH6va4Yw9qBKaYJ3P5wlFmpLKbpvcBTxNADNTctCBesuAqFHj_9mejddR7U_35WoYrvIYkctq2
 OHoIoRNL_pl8kGQhvPJpgnZChCnRB3G3y2xKKT8kLPd3hWaN_EWWLe8I2wGDfXYullb2kvvu6CgQ
 YSPxG3SMlXI8LTs4FqRZnomjh0zMKQAaKVUO0FB5zu6dUXJydI14oBIAIt7fejF.Woh.4Ey5uxCy
 MqJrr96oGEW9ym50Wuvxz96p0LRbnfHM5lJKOer3ezSIKsfAA66Sy5aFH2epMKnxzf1gLVLr4N1M
 pFnndR1G22bX7Emvop9Pn0rLUFEDrJYecBKJxkell4sU8_oJfJWcW8E.3vqZIc55JUm94.p3n3im
 3CEBFsmXRaj8dZ9_1ppoF9bbe8128qrOnbK4Jeokwj0mOubg_YuQN4tjtsz7y
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Wed, 29 Jun 2022 08:53:31 +0000
Received: by hermes--canary-production-sg3-67975bbd4b-v4p6m (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 6660baddb0f280dd958544d87c10d1b6; 
 Wed, 29 Jun 2022 08:53:28 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
 <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
 <m1pmis740t.fsf@HIDDEN> <87a69wathg.fsf@HIDDEN>
 <m1k08z7tay.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 16:53:24 +0800
In-Reply-To: <m1k08z7tay.fsf@HIDDEN> ("Daniel =?utf-8?Q?Mart=C3=ADn=22's?=
 message of "Wed, 29 Jun 2022 10:44:21 +0200")
Message-ID: <87wnczam0r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 576
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56155
Cc: Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Mart=C3=ADn <mardani29@HIDDEN> writes:

> There is [EmacsMenu menuWillOpen:], whose implementation is empty right
> now.

It's not present (as in, not actually called) on GNUstep, and you aren't
supposed to perform long-running menu updates within it on Cocoa.

Updating the menu bar in Emacs takes somewhere between 50 to 300 ms
(this can depend on the current major and minor modes and GC), which is
too long.

The right thing would be to intercept and save the NSEvent that opened
the menu bar and generate a MENU_BAR_ACTIVATE_EVENT.  But I cannot
figure out how.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 29 Jun 2022 08:44:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 04:44:37 2022
Received: from localhost ([127.0.0.1]:57164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6TJN-0002gZ-EJ
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 04:44:37 -0400
Received: from sonic314-21.consmr.mail.ir2.yahoo.com ([77.238.177.147]:43685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1o6TJK-0002gE-19
 for 56155 <at> debbugs.gnu.org; Wed, 29 Jun 2022 04:44:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1656492268; bh=c3si7zBXRHsDMrfVhuMUyq7g/aj5VDssoFxqT+bzJj4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=C9uglcLXLJ6Zz51Yx8W3HntBXp5fdndiZRNlxO/V33GOnPIgJ+ekwybS31oJXK/ytRybb+AG0/HuABicyAZYsHhKGBreGB2mhLzB7UKWP6M5IZCatabxgYYxYMNF5M1ndCIfGpiKF8Sw5m/aIDG+VDdTlw4bbo//fppPRtH5N72+kWjLSsQMW8thkSzOuVPzOh30XVfZSXgSn2hE2VycGClgEX3YFXfKj0NOg2EaAIpDaPh9cg6I/8jpH70zPA2wgpDgxeSJUR8NVQLJk+hEzWP1QqgLe2ostJPO5dW+XwvIUs5wijrfVEJuNUaVRGulz+puC5aCUwe61t+Ke7igQg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656492268; bh=JGUXP6iNGzlm7tqF3wW6sdwnvPhN3weJ8C/kcQIlT2H=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=mRBCV42lF4kRevc+582u3wMvV9mkB2NuwHEg/6dIBgSXzIXutYy+03XVxBeKZxYceu9MLXNgy7kAwvptSz/dAf/shEBoM+f6HpRmE6LwatacAIKDX+jvvewS7LbijnEyXRLyluCJqD3X2FH+WraImMqtUG+6nIabgfHNU0dtKN8zFpEA+4LmF8Y5ZENQrrEfxcyePI7hJdV9jZX35bKgWhXct99tCUvvR4qJc9iKYdIrCLMMgr9ShmYmYzFdpZjsCagGlGWyhbJPxkd08D2iW0Ol40i+adK9i8gucSiQ91cTFR1urAE7S+sU9BdwFFBszmmBEdosLBL5UVNp1qUV2A==
X-YMail-OSG: nibZktkVM1kjI61e3nnIH_ln5r.zs8Wg78ny2H__wXjR3eHIqqRlkWsNSKzb4A8
 evrY6e9i183M63Gs74bZuPII0SmXTS412JBgfHbhl5OtCS3NTr5Ux0VOMz1aSdboPb4k_pqYQAe4
 OY0HnU1h44TDqZfTJpZojQSEZzHeFBc6HT8W0DrFirbb7.2Ck8edN6xSQHotAho6B7rWjytyhDav
 sMKeORnx8aCOwPbbg8Gh6Y1i6YWh8wiQESS_ClF3AKOBkgYl91EDaDQJJwXr6fzKjsG.EsZyOXWR
 Fla7RVq9ZrrQ1iFP4BsXK3192VfX_NJkE4RZOFRUh8_1gQMIe96jxot2B.omSmDZ_qtFUOtNnPZX
 bddTEOPknNo15quvRW3doNU3MZWrufX9t6Xi4lGgfK_7DnwBwgGdp155nyAoYWPXfvpZkznQThYA
 DVQ.etGvRKhAnxvYarZeX_VJZATSIaz3fxofpIUS23P_kMVyHZ68FG1U.Bn5Bm_BXRFso9DVIEyY
 tw4pxwwUWXP2G.WgXIoeUqj18lLJ90ZbIm1bfLUCwZHhwpMQk_LW78mg1Ymwc0pJgtPUfXpaXSV0
 _S2y2tEtfZSGg233CtImD_lgnTgwnGS_20BKDRzE0TE4fJ.u8Gc4VNib5cr0iHBI1Uowzg3.oOzr
 u54I9ppZs5LC1xrbcoFhQTe4uAViOEo_ZNeiq62chQokfTev.hGB0J_QElubGreTy42J1Q._CJv4
 .Smuc6ALvsK80.bZmzFhBROudtEeo9kkSDoo.PuiIJwDYVBO0ETCUXdR08Y3ZpGwjsrgpCUd8MjA
 SBvIVfemURNyhrkA2x7.BCE63vrsViO6zDfxmjlbip.lpBN0RH7OBJmLWJFE9bPHI3SQh2oPKRBO
 JkI47Vmp71G_7TqordIDl9xHrakmIkH3nBrUEV8Pdakg.s13Mbi404V02VgDRUopUJoGgG4P5v7a
 vp7lUAvVUgfddDo19W4c4l9C7X29gzaX3QCHn1N6NdBoqlMgE1Eg5j8vefxN5PwgD_Q04IkyduuX
 M0WjrW5W2pcXbslVXavLdau.71NUXaYS8ikp1i4XS98IDvsUTGbzRZM1aKamDqNlu5St9aITfrhO
 X4VuE8TEQyMgl0px9F28de3h4Xgg.zam92O2Oer_2BCwBkIFfdf.q0Asd5l1APHKQD6Z52AYEMlW
 EzjTNzqkzPQCLiV6p5yDuj3zxHf8vOOw4ufr2cZLGKOHkce7BCocdLDnRPkyW1843lt4peZf3cL6
 V8V6vtmplZqcHwpQ.UbtSHOkb_1RpYb2zo.ubdWXRSD5LsuUhnvvNu1.D7GUaSCZFqHAKNdEmuf0
 gLtRnFGfL4gR2QcMe5K0pJZD4hgPCmISuHvaJahnflsna.LSTKh7JXeB8yIn79DS6Sqi0cgDaAOZ
 kCli1udOFWwIi_.81gnA8PUpn6YD8f4R6K48R.L0c8l0rF6RoMM2WquHMOmoO_0XlPlgrmhD.h_8
 MQVMfGumbEENbUV680GdJDjAHum_3vWGS3ocGRY7ZdXemQFL02E_WUadAtvpT5APjq7ruu3ALmP5
 k8kcZYkY4Z44EYkhHhKoL5RI7K_mBcXJ5v3MEIFqVEB.eDfzQuao5WHm3KhYiGfrTEDXu5OpwFM8
 GRPh2MQPLnlJd7aHEeYVC32EKKmokx5FYXvMP_E.5v5zDGqk.1JJwzOJGBuN8Sfi_YT7cxEC5o50
 brYo6.VNSQRPJMkwmMHLgghYibvuEqa_OI8Ma3pwSLauq1cxhBS_vBorb8HE8hXi0vEElKqYp2tX
 c9_J_5WM1xMN5JPQbbY4hQ5LnncnQtaqM_pTpXqx5kRwBUSvRfciWJC0TAAEXbvX1yE3g5NSAO5N
 0Xz4ook.lepQlGHOdD9buwVNjyuE_4GDc99M_gny6o_DmZkFXWKw4vmIsDqBTE6HYl43bce2Snsg
 MaRxLC8Dyl1i5oTBmJ7dzzBNDy4YWXueiOW7QEJnAdsRgXlpnefgU4Vs2uXSvNVB006g21Yzh9VJ
 ZohqKQ4W517NxE4GKI9ixo0EWGN8Dyt_ICD6bCnUDPNNZbMU3G3T3FUWepdltpM7d.nPwvQLgDxA
 BLVoXO0SRlYGY3zEIzax8zfqP2e.xJGLMcUvaN6ySpV8zxg2_vbxtNeZ5aEqostUke9QO8.n8tpR
 A6GAfpkM_2ENzG9CPWaVRA1.Oj3RFQJFybUlOwInVOxGheTuI9FpZz576Mlyv2SS6pd7pjFccUTX
 qED_LcyxJTw7BhzP4Fdp9cUhTJ7s7Qx15VNIq9UT0snM77cZocCHomiJ49Z6PXYrlsg--
X-Sonic-MF: <mardani29@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ir2.yahoo.com with HTTP; Wed, 29 Jun 2022 08:44:28 +0000
Received: by hermes--canary-production-ir2-74b4d6d794-rsm7w (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 2a994a22f04bc52f716cbfa3b53876e5; 
 Wed, 29 Jun 2022 08:44:22 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
 <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
 <m1pmis740t.fsf@HIDDEN> <87a69wathg.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 10:44:21 +0200
In-Reply-To: <87a69wathg.fsf@HIDDEN> (Po Lu via's message of "Wed, 29 Jun
 2022 14:12:11 +0800")
Message-ID: <m1k08z7tay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 418
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 56155
Cc: Po Lu <luangruo@HIDDEN>,
 Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:
>
> If someone does find out how to intercept events that will open the menu
> bar, then most of the NS menu bar updating logic can be thrown out the
> window, which will resolve not just this problem, but several others as
> well.

There is [EmacsMenu menuWillOpen:], whose implementation is empty right
now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jun 2022 08:44:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 04:44:42 2022
Received: from localhost ([127.0.0.1]:57166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6TJR-0002gj-Ld
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 04:44:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:42670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1o6TJK-0002gL-N2
 for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 04:44:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53222)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mardani29@HIDDEN>)
 id 1o6TJK-0000XW-D3
 for bug-gnu-emacs@HIDDEN; Wed, 29 Jun 2022 04:44:34 -0400
Received: from sonic314-21.consmr.mail.ir2.yahoo.com ([77.238.177.147]:45132)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <mardani29@HIDDEN>)
 id 1o6TJG-0002L9-OU
 for bug-gnu-emacs@HIDDEN; Wed, 29 Jun 2022 04:44:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1656492268; bh=c3si7zBXRHsDMrfVhuMUyq7g/aj5VDssoFxqT+bzJj4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=C9uglcLXLJ6Zz51Yx8W3HntBXp5fdndiZRNlxO/V33GOnPIgJ+ekwybS31oJXK/ytRybb+AG0/HuABicyAZYsHhKGBreGB2mhLzB7UKWP6M5IZCatabxgYYxYMNF5M1ndCIfGpiKF8Sw5m/aIDG+VDdTlw4bbo//fppPRtH5N72+kWjLSsQMW8thkSzOuVPzOh30XVfZSXgSn2hE2VycGClgEX3YFXfKj0NOg2EaAIpDaPh9cg6I/8jpH70zPA2wgpDgxeSJUR8NVQLJk+hEzWP1QqgLe2ostJPO5dW+XwvIUs5wijrfVEJuNUaVRGulz+puC5aCUwe61t+Ke7igQg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656492268; bh=JGUXP6iNGzlm7tqF3wW6sdwnvPhN3weJ8C/kcQIlT2H=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=mRBCV42lF4kRevc+582u3wMvV9mkB2NuwHEg/6dIBgSXzIXutYy+03XVxBeKZxYceu9MLXNgy7kAwvptSz/dAf/shEBoM+f6HpRmE6LwatacAIKDX+jvvewS7LbijnEyXRLyluCJqD3X2FH+WraImMqtUG+6nIabgfHNU0dtKN8zFpEA+4LmF8Y5ZENQrrEfxcyePI7hJdV9jZX35bKgWhXct99tCUvvR4qJc9iKYdIrCLMMgr9ShmYmYzFdpZjsCagGlGWyhbJPxkd08D2iW0Ol40i+adK9i8gucSiQ91cTFR1urAE7S+sU9BdwFFBszmmBEdosLBL5UVNp1qUV2A==
X-YMail-OSG: nibZktkVM1kjI61e3nnIH_ln5r.zs8Wg78ny2H__wXjR3eHIqqRlkWsNSKzb4A8
 evrY6e9i183M63Gs74bZuPII0SmXTS412JBgfHbhl5OtCS3NTr5Ux0VOMz1aSdboPb4k_pqYQAe4
 OY0HnU1h44TDqZfTJpZojQSEZzHeFBc6HT8W0DrFirbb7.2Ck8edN6xSQHotAho6B7rWjytyhDav
 sMKeORnx8aCOwPbbg8Gh6Y1i6YWh8wiQESS_ClF3AKOBkgYl91EDaDQJJwXr6fzKjsG.EsZyOXWR
 Fla7RVq9ZrrQ1iFP4BsXK3192VfX_NJkE4RZOFRUh8_1gQMIe96jxot2B.omSmDZ_qtFUOtNnPZX
 bddTEOPknNo15quvRW3doNU3MZWrufX9t6Xi4lGgfK_7DnwBwgGdp155nyAoYWPXfvpZkznQThYA
 DVQ.etGvRKhAnxvYarZeX_VJZATSIaz3fxofpIUS23P_kMVyHZ68FG1U.Bn5Bm_BXRFso9DVIEyY
 tw4pxwwUWXP2G.WgXIoeUqj18lLJ90ZbIm1bfLUCwZHhwpMQk_LW78mg1Ymwc0pJgtPUfXpaXSV0
 _S2y2tEtfZSGg233CtImD_lgnTgwnGS_20BKDRzE0TE4fJ.u8Gc4VNib5cr0iHBI1Uowzg3.oOzr
 u54I9ppZs5LC1xrbcoFhQTe4uAViOEo_ZNeiq62chQokfTev.hGB0J_QElubGreTy42J1Q._CJv4
 .Smuc6ALvsK80.bZmzFhBROudtEeo9kkSDoo.PuiIJwDYVBO0ETCUXdR08Y3ZpGwjsrgpCUd8MjA
 SBvIVfemURNyhrkA2x7.BCE63vrsViO6zDfxmjlbip.lpBN0RH7OBJmLWJFE9bPHI3SQh2oPKRBO
 JkI47Vmp71G_7TqordIDl9xHrakmIkH3nBrUEV8Pdakg.s13Mbi404V02VgDRUopUJoGgG4P5v7a
 vp7lUAvVUgfddDo19W4c4l9C7X29gzaX3QCHn1N6NdBoqlMgE1Eg5j8vefxN5PwgD_Q04IkyduuX
 M0WjrW5W2pcXbslVXavLdau.71NUXaYS8ikp1i4XS98IDvsUTGbzRZM1aKamDqNlu5St9aITfrhO
 X4VuE8TEQyMgl0px9F28de3h4Xgg.zam92O2Oer_2BCwBkIFfdf.q0Asd5l1APHKQD6Z52AYEMlW
 EzjTNzqkzPQCLiV6p5yDuj3zxHf8vOOw4ufr2cZLGKOHkce7BCocdLDnRPkyW1843lt4peZf3cL6
 V8V6vtmplZqcHwpQ.UbtSHOkb_1RpYb2zo.ubdWXRSD5LsuUhnvvNu1.D7GUaSCZFqHAKNdEmuf0
 gLtRnFGfL4gR2QcMe5K0pJZD4hgPCmISuHvaJahnflsna.LSTKh7JXeB8yIn79DS6Sqi0cgDaAOZ
 kCli1udOFWwIi_.81gnA8PUpn6YD8f4R6K48R.L0c8l0rF6RoMM2WquHMOmoO_0XlPlgrmhD.h_8
 MQVMfGumbEENbUV680GdJDjAHum_3vWGS3ocGRY7ZdXemQFL02E_WUadAtvpT5APjq7ruu3ALmP5
 k8kcZYkY4Z44EYkhHhKoL5RI7K_mBcXJ5v3MEIFqVEB.eDfzQuao5WHm3KhYiGfrTEDXu5OpwFM8
 GRPh2MQPLnlJd7aHEeYVC32EKKmokx5FYXvMP_E.5v5zDGqk.1JJwzOJGBuN8Sfi_YT7cxEC5o50
 brYo6.VNSQRPJMkwmMHLgghYibvuEqa_OI8Ma3pwSLauq1cxhBS_vBorb8HE8hXi0vEElKqYp2tX
 c9_J_5WM1xMN5JPQbbY4hQ5LnncnQtaqM_pTpXqx5kRwBUSvRfciWJC0TAAEXbvX1yE3g5NSAO5N
 0Xz4ook.lepQlGHOdD9buwVNjyuE_4GDc99M_gny6o_DmZkFXWKw4vmIsDqBTE6HYl43bce2Snsg
 MaRxLC8Dyl1i5oTBmJ7dzzBNDy4YWXueiOW7QEJnAdsRgXlpnefgU4Vs2uXSvNVB006g21Yzh9VJ
 ZohqKQ4W517NxE4GKI9ixo0EWGN8Dyt_ICD6bCnUDPNNZbMU3G3T3FUWepdltpM7d.nPwvQLgDxA
 BLVoXO0SRlYGY3zEIzax8zfqP2e.xJGLMcUvaN6ySpV8zxg2_vbxtNeZ5aEqostUke9QO8.n8tpR
 A6GAfpkM_2ENzG9CPWaVRA1.Oj3RFQJFybUlOwInVOxGheTuI9FpZz576Mlyv2SS6pd7pjFccUTX
 qED_LcyxJTw7BhzP4Fdp9cUhTJ7s7Qx15VNIq9UT0snM77cZocCHomiJ49Z6PXYrlsg--
X-Sonic-MF: <mardani29@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ir2.yahoo.com with HTTP; Wed, 29 Jun 2022 08:44:28 +0000
Received: by hermes--canary-production-ir2-74b4d6d794-rsm7w (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 2a994a22f04bc52f716cbfa3b53876e5; 
 Wed, 29 Jun 2022 08:44:22 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
 <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
 <m1pmis740t.fsf@HIDDEN> <87a69wathg.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 10:44:21 +0200
In-Reply-To: <87a69wathg.fsf@HIDDEN> (Po Lu via's message of "Wed, 29 Jun
 2022 14:12:11 +0800")
Message-ID: <m1k08z7tay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 418
Received-SPF: pass client-ip=77.238.177.147; envelope-from=mardani29@HIDDEN;
 helo=sonic314-21.consmr.mail.ir2.yahoo.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Po Lu <luangruo@HIDDEN>,
 Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:
>
> If someone does find out how to intercept events that will open the menu
> bar, then most of the NS menu bar updating logic can be thrown out the
> window, which will resolve not just this problem, but several others as
> well.

There is [EmacsMenu menuWillOpen:], whose implementation is empty right
now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 29 Jun 2022 06:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 02:12:27 2022
Received: from localhost ([127.0.0.1]:56958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Qw7-000797-C6
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 02:12:27 -0400
Received: from sonic307-56.consmr.mail.ne1.yahoo.com ([66.163.190.31]:40807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1o6Qw5-00078u-Kw
 for 56155 <at> debbugs.gnu.org; Wed, 29 Jun 2022 02:12:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656483140; bh=1IHQ7MNXRYkBCfDTTCvlhHx3u2vVk29fus4m26rB7pc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=DG9MybXSv65iGXDBT9WYtzCWZu9G3+oIbckxJ/7SGIelZMWM3N99Y6QOsVg5T9D0fMoagzbwBRPyDbwXmUSB7LrIpbl8yNrAXK2J0aSwJTLYhUCpuvVo04gHBI/i3AHs2zaX3lsRsMbcABnPGN5kJuYXm2RN1CU7t7cBFkyK1TsLCjYgXu/nbVaR5dHT63oa7tT/tBmW8GjeKgSY9Dh+IqZnBfn9qWFBFGFO/EUT/JA7vq1eKc6diFzdrCzd815G4ATRKYN8ORI48JzHjy6n8vsoDOjYj4qHhQICn0OHdUzJM9WRF4E7qYIX1ud4ohZPn5pKvlPXl8rZKtPIW54gnA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656483140; bh=4u8LjlCqJdfoWEN4VxD7WJ848DaswFK++hOwZrALwuD=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=r5OcwmrYlcojMVce9siYVerQy1TTtzFlCHBowne/0YXFpCg5PHLRvkm9zh9Saq1rkPlBRt3uUFw+jWIEutLkLsauo8zR8QA1KlhgAU2d+14zX1cUn8QCMqM2HnkJ/P49mayeTkYD6wKhX87lzsesyly9v/woS8wSbUvRQBHvnTEDgr6BQI/QdKvYCqbeAg0UR0a9ByIDNlfNIWHf2OO4DDZZ0KleL2IBy1BIQvo6seQnCLSI7dFqcu/a54025PFpzEZMPOAoJ96VRbZHylBKoU411IfkdSTzkZtiLcixLdrwah36mk998DlMPb3HRDAeIFOkbzmpvr6pa7mEH7Af1Q==
X-YMail-OSG: KXC4HoQVM1nYWMjdWvIifPzTWFD08Z5ch31BmkgjgodhVFzd1_KqbJUSnDAXvLC
 pRRhuxZdWUsYuUgoO_GTS9nmmD9n0G8vMLFu2VMnVW.8BiW3v2Dl.G329BIYrH08lqkOuiP_HyUf
 7tv24FL0ne6FCioThXo.Mjlx9iK17W7WwQnFkMfM9ETuYaiSM2qKACyCbh2bwLpfohq9X3qGdR7U
 WoCLzvIXu6MAv.7ZgNOErTNxIFxiPfvESTwOfKHncqJ0gddWbrxcyru62.cSmjDt5Q6R.tILSL5G
 35JvZMGaE5EZ2hpawEn.tFpjiVitubiv1vnWhtweqyXhbeZ_4NisisoGGIzg_78Haa4xTxtv0.wT
 FYd2gw8EB5QYB.dLqgzmZaOGJgYSEiJ4nGkMjmeMuvyhTz0o0DCUSBvaFeHd8Ck6Q4Ihleh0VRzb
 VFmGYnIb4aS8M_v7rpKncvJbz8Cvqj.n3mNvSl_QLvN9gvv3_v5qr_U5dc5p.i1RWRuD7MCNfWwG
 nMgxhKOacjdPx.axbS4iYNukw6LeGoAxAY2zoqdSz1vKf3tHBQrs0YADWGATXIXn3dnGJbsgMF7D
 ba3vfh6zj1DduVFA9KjLUgdD9HJ_VKI.Bd77T0NkDwCr6LMoMV1Itq7tCCOxBN_8qt9p2QIlhv2H
 pBxeVvPplRrVetXDOzyI_Z.RERw40QmOZWjn1VooETf_RijEsC1UdPkG1rqedOxfG7fA9a_mMwRy
 9U6qDxzJ6faYLG15Vo_Up0S0MV6Zb_GAa1YKTWQu8j5DTFo9jGv5yGB0G_wxiRgNFK7RfdlgqH.l
 PSgtht5coxa9ZlgWKbhLzOlrx6EvQX3Fr1trx.FWxfW49FCXHaOyXf0iaY.lkaZ.Z75XDCAOSVt9
 wQqWkj8qf2zK.IvyJxj3Vk21S2c5FSOcdG9GHLfxI5HQLKTkFl8K6I8GOiUdjxMIOVPXSxB3.irC
 KeGSzll7MkJLl7WbKOpDtBNByJ4iJSRI3mEasZm0kVuK_iQqkhFypJemna2TUXbxKc_AsxKLVG0T
 PipXVnrRfFhAwFqIao5FMEWVZEyabh.9k6BFxUoNGjO3BYSjxzsl2pfPiuokBlHN0iwF_gC_GoT3
 uoGB8VeBJUrPKHCezS1Ag1bPHNxMqwJkDEn2YCc5ADUxRdwuPoxQ_DtCfSYp712wSu_PQHcLfEc9
 57IWPbfRxfquwsORwNRE5YGuA5IY17eDY2yo1pKxNCCN39eMaMgyx_8U.Q_geFpLHLUy6PhsonBF
 p6kKGhX8mlQy6Ukjhdh_vuhmoSuNntcbFD3zZAAG6cBTStOxcLxostf5kwaxglwLsVttmRMMGsDv
 5aZgg2VmCN9QPKER..t7AD0BeY4uhGdl_sVsajsgyX9KFR22Bx7sTFvzuO8qojLBtDIxut6xTq8x
 Ujg0Rp9UyJvxr1l4qA8ylLydQnV9IP.oq3yByB_WWfO.eqhRA60qYnNaGfQBJvtn2H8_RBb13_5x
 4KfpBLlBu8Ha3fm6QlwCIew1h1S0QQvtRJ_6cmNPrvL2.b0SaKN24tkc44s2tYL45eqlLhhxLPkP
 j0y2hZNAjb2kAAXtPbNW0XKJOJ8vz2o.XNuTtQsvFe9p4aYPBdjL.mBHeBum9ku0ZNn8TGw5.jvM
 GkGyo0ZIWQ6Ve5ZN9Y4w2mkA.4uaHDtxPmvFmqekmdykclg6q6A1HVfBN6CAbvngkGGexrlw3Kr5
 ZAxv4lIScBZ0ObHxQe59PpAo2OJPLHOaHBWIY.1Zg7.50Z1RjkOzjNhuiiB2aoxXg8NpiHMfl3Hi
 2hS2653EV27lkctyw7srnIdxy6.6.KLK02swYJQqtW9MYNA0tJurfwVIwoTCpV246g4qswFlZuFH
 LtNLaWqBVNwpa7hPKB.2HwyAiVgFl9AG1hScv4vy518KnzSNNlAweBzvInUl2gK4BhogHxVVTRZN
 nlz8qmybIhTYTzlrAs9F6upXaeA1wj1FnYhwIIqfmbi5bMZuRhoBwh5TX9_YapDYgJUFJ6CIqz7C
 QsOECg0expkWFuY.8Yw.nfZ8sqIaOuE4VhElS9YZmxd5kW1HHlmOexotxaqX8OIJil.KZ5m_5h3M
 HLC2UgX.kQm2N0ggrbCHg8CCy5nu.PwVCI00Qh1pfuJBLYCa3Vf0rfXYwJRuvnf_4CBxLvKrVZaE
 uiLlEo_CnEfVgdvWiVu8v6gwkCY2_kV_V7TxWsgazEVTW2h10RP.C.4ovBGsdpzc0DFj4T6jUksi
 ot2OqRJJCT2KBM0Pu2mBNCuq9AM16WvvxKnb0S29ANZ_XHvhfndzIfV4Pi0yzmw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Wed, 29 Jun 2022 06:12:20 +0000
Received: by hermes--canary-production-sg3-67975bbd4b-zlmw9 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 41b8d9dc2da6bc3b94c2b0113865799e; 
 Wed, 29 Jun 2022 06:12:16 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
 <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
 <m1pmis740t.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 14:12:11 +0800
In-Reply-To: <m1pmis740t.fsf@HIDDEN> ("Daniel =?utf-8?Q?Mart=C3=ADn=22's?=
 message of "Wed, 29 Jun 2022 01:38:10 +0200")
Message-ID: <87a69wathg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1525
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56155
Cc: Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Mart=C3=ADn <mardani29@HIDDEN> writes:

> That's interesting.  Could you put a breakpoint on that C function on
> GNU/Linux to see if it's called, for example, when you close the menu?
> That may be the key difference between macOS and the other operating
> systems.  I don't have a GNU/Linux system at hand right now, but I can
> investigate if needed.
>
> (BTW, as an aside, getting a Lisp backtrace using LLDB on macOS is a bit
> time-consuming because of all the manual steps to print the pointer
> structures.  If I have time, I'd like to write an .lldbinit file with
> LLDB commands to make this process much simpler, although I don't know
> how many people are debugging Emacs using LLDB here.)

The problem is well known (to me, at least.)  [EmacsMenu
menuNeedsUpdate:] only updates the menu bar if it was actually "dirtied"
by a previous "shallow" update (see set_frame_menubar in nsmenu.m), but
that never happens when only the value of a toggle item changes.

The other window systems intercept button presses on the menu bar, and
run Lisp in the keyboard loop to update the menu bar, before pushing the
button press event back onto the event queue.  But I can't figure out
how to do that on NS, and [EmacsMenu menuNeedsUpdate:] is called too
often to not utilize the "dirty" flag.

If someone does find out how to intercept events that will open the menu
bar, then most of the NS menu bar updating logic can be thrown out the
window, which will resolve not just this problem, but several others as
well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 29 Jun 2022 06:04:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 02:04:26 2022
Received: from localhost ([127.0.0.1]:56952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6QoM-0006xo-Jm
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 02:04:26 -0400
Received: from mail-ej1-f52.google.com ([209.85.218.52]:39663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1o6QoJ-0006xY-3n
 for 56155 <at> debbugs.gnu.org; Wed, 29 Jun 2022 02:04:25 -0400
Received: by mail-ej1-f52.google.com with SMTP id ay16so30379126ejb.6
 for <56155 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 23:04:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:subject:from:in-reply-to:date:cc:message-id:references
 :to; bh=rh5ALzcJd++MWNQ4n4LQlmjvolJjzLXyqVJtrnn4cQ8=;
 b=dVAExgTDPJ4dw5zJ/nyxAT45WZ136rNfDO5zcG73cEDSe2Qb+5F42WMuDBsYpC8Kcz
 6WIp4kt3NAF7bDrnxKmFBUl7Klu9MK5IavKaYRbF30StTX1L4lUvzbNZjyWKyV2/o+ft
 031v0IIQp1sRxVtChPJEGVIC1BIeWK1RQgQamhdL3gA1U8Rvu6/n8RGMck3Rbd3MpPWf
 HS+1zEvA2M9DRnBjhW4m9nYu6OmCkr9fFNft/lFiyJeNzI906NuTf4dYCS6f7xoYMo6C
 mWCk84w/74A+ku/RV9BRbINk99KvKNcNw8pKw1/Dk3SHcDwfaUEAYaTaZi9BbizxGCkC
 CiQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :message-id:references:to;
 bh=rh5ALzcJd++MWNQ4n4LQlmjvolJjzLXyqVJtrnn4cQ8=;
 b=HAc48fj16iD8Wez9vEL2KICk/UMyCCtUoxwQdnRoBFdlU3s9MGIHc4XxeFiZoQYatQ
 2b1K5ND1DoFzKveRRpB+fAczi5y+Osp4epriW8qRdqipvo1I5vYVwSE707n+mXEokkh3
 bUbZcUQQtS78UahWN7FoDYGDYo8YyfUHzSJ+cHrThuDq6hkyVA5NwoE/JMp3jlyi21YS
 NYnwF9cWPVLvDQSUft4/QKJ+jo6MCYkF4p7ydpo+DXPIjfljLJvcjHBysiHi5nTAatfE
 V6VOicbZswHn98BDwaQ1KkcChb9M8BUDNk41JMEmJQfOz1k3tsGFkkljMoItHy2zgyLd
 nq7w==
X-Gm-Message-State: AJIora/v79s6agaCtX+wfXOk7Y+THq/+yY3G3HU8NWW+ioU9iozVFzrn
 mnz+hqarN2agPV1WM7YtL+vTO+j6u7CIvg==
X-Google-Smtp-Source: AGRyM1ue7GI77Jmal/acNZm6zXMmEokHerNEcFIC6kmFKASf/Hb3PRHbx9yOlGnPKT58cTW83r6u8A==
X-Received: by 2002:a17:907:761c:b0:6d6:e553:7bd1 with SMTP id
 jx28-20020a170907761c00b006d6e5537bd1mr1684377ejc.5.1656482656599; 
 Tue, 28 Jun 2022 23:04:16 -0700 (PDT)
Received: from smtpclient.apple (pd9e369d9.dip0.t-ipconnect.de.
 [217.227.105.217]) by smtp.gmail.com with ESMTPSA id
 cf11-20020a0564020b8b00b00437ae26e728sm2481993edb.3.2022.06.28.23.04.15
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 28 Jun 2022 23:04:15 -0700 (PDT)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_72177C7F-F42A-49E0-A2EB-C2904C02FCDC";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.100.31\))
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
In-Reply-To: <83pmizele6.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 08:04:14 +0200
Message-Id: <4D36A40C-2174-46AD-9AB4-75F120F3C195@HIDDEN>
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
To: 56155 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3696.100.31)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56155
Cc: Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_72177C7F-F42A-49E0-A2EB-C2904C02FCDC
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Committed as 9c2b1d37e729f7af9e9661be7ece8348bae70ffa

I think the bug can be closed, but I don't see how I could do that.  Or =
maybe I can't and shouldn't, I don't know.

--Apple-Mail=_72177C7F-F42A-49E0-A2EB-C2904C02FCDC
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - https://gpgtools.org

iQIzBAEBCgAdFiEEirYePpiT82Hjkftpc+obGZDFPmMFAmK7614ACgkQc+obGZDF
PmMCkxAAmqhZc0CNQ9Xh4FVqK5oCI64qujnNk5VZPNoY5K9cxOAiX1/5NUwW1szr
ATy259axzjPShSXj/yk5x0pDgsNLkAmGk0+M2zNuhz7suJwajV6c/WdiqpwgWmaZ
2tM4BxWwd7x40t6xZrHONc/rchXJf26YClpDCELCOwMhaomjjwv0y8dAWqoEXW3d
GAhTUgOVdltEmQDKUkq/Lfwl797zlvJHi329tkcJUNQX6nkB4hWKNFl+5AHvCmzw
JqlJdCcV22beetVl1q3FEtEzIzhSH/OaDtBuo9hn4/A2U4l8ioqN1h4khQ2pk9DG
hjFkW4A+JV+V4YJndpUV56Ug64O/OrxPzqPun8l/JHSsyCKr3KhDuaUzS9fMQTHd
Urbmg2nsfQf/DSTcmxLD6rI8WPNHex4ao0SmM8ung70a4fpACZFxjIPtirv3lkV0
8zn48ow395lJ9xLv9HhT+tHXY3Cwt5NZOjLACk6rxf4/5+fbh9DWxpt802CuRJHX
5/HkckfLAlbvopVRH0/FelCJ5lQlOT8UWQmf6D9wrhFvldqw7ZGHiF8Kqn6oJPs2
AcDEIM2KfVy0H5yHE1hWbYVBFZ7Zkf7CHdtt4mm3E/jEl6rjIR+Pedub6inTCt29
qvto6/5LbCVw2cmwV+fKeZ+2/xDEaLmUiA7tfR1pHHA0VOPOXv0=
=bcUs
-----END PGP SIGNATURE-----

--Apple-Mail=_72177C7F-F42A-49E0-A2EB-C2904C02FCDC--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 29 Jun 2022 05:33:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 01:33:18 2022
Received: from localhost ([127.0.0.1]:56918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6QK9-0006Bz-Ge
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 01:33:18 -0400
Received: from mail-ed1-f45.google.com ([209.85.208.45]:38476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1o6QJx-0006BG-Kt
 for 56155 <at> debbugs.gnu.org; Wed, 29 Jun 2022 01:33:12 -0400
Received: by mail-ed1-f45.google.com with SMTP id fd6so20610819edb.5
 for <56155 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 22:33:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:subject:from:in-reply-to:date:cc:message-id:references
 :to; bh=nSfC4LnutQpps++d8kFr/KyckILiN5vcUTA1wN4FDd0=;
 b=NXNUOs62d1z+6bPJHjl1Tqtx2pGUzW2mCFv4BtAjcBLScM3bYQzYYOYqgJ7WkbkLPl
 FFncyQJCv4C6eVPHnLxmCBw3h6DkjrcHLwXwyNvNEO1LCp8yA6+2WCQMY/ju5asxU48e
 uHaxsJiWVV3QZ/0cHX1mZVEasbq7i1xhLlYBRhWbOryuRmTDmGzIE/PGKbdo9PM0ZKfm
 C53SmMJJ0UKXtp7S4NQrQ4aY/zMu9ZWa+SETKI/URt1R6ICXE5zdMNab7z1hUL2MuUYT
 qCNvn8ggIjRGQ4DE1p5tuygwZCgU1jFBdUaDoHDELr2u+D/b05MEE6UpXBaqAqjUKTDd
 WMSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :message-id:references:to;
 bh=nSfC4LnutQpps++d8kFr/KyckILiN5vcUTA1wN4FDd0=;
 b=cO8w0LyXsNNf4AGhTb16uILM26G77Y1gg/8LvfwHFrCY9wCZ013fwfBVrBYCpt1io5
 RmLZbCQxNT3sk6srlJUN5/Yq9oRdnm+oEqjf4AE4g7prBVk8qZ5eYrxrttmNA1Ad6czN
 cDg3COH0tHWFubnBfboifXBvi1mutWkYA9mYpo3Ja2LDKYi4ZWtjMCB7yBDCaDDNANoZ
 1lgPvssVKj200YMGm6dH2H6erZcRwWl68ERBKeCb02bYQNnmoNRkrCceNx8fIAEzu4KR
 +YXv5nixu6AJn0ySDQmTw7yvd1QcBER1UfcyCeLjnpCdNqUImcWbuT/J5hTZ1bJY2mFJ
 ypug==
X-Gm-Message-State: AJIora8Ea1gsAXLeVcn9W6IuS6lJ9Rhc8pCouAArHXR5h3s0WGnScAuo
 m0g1swA5V2ua60JPN9LYz/U=
X-Google-Smtp-Source: AGRyM1ucKoYSYYuTccS2AGEOBBTuYELMaqaqpPQbKqDPeJiUDfTrE364lgsHIh/pH8LMpycgOZ5IOw==
X-Received: by 2002:a05:6402:f29:b0:435:c108:58f2 with SMTP id
 i41-20020a0564020f2900b00435c10858f2mr1864026eda.401.1656480775528; 
 Tue, 28 Jun 2022 22:32:55 -0700 (PDT)
Received: from smtpclient.apple (pd9e369d9.dip0.t-ipconnect.de.
 [217.227.105.217]) by smtp.gmail.com with ESMTPSA id
 n6-20020a509346000000b004319b12371asm10896060eda.47.2022.06.28.22.32.53
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 28 Jun 2022 22:32:54 -0700 (PDT)
Content-Type: multipart/signed;
 boundary="Apple-Mail=_0B716061-1BDB-42A0-8F0F-5715B59760D6";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.100.31\))
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
In-Reply-To: <m1pmis740t.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 07:32:52 +0200
Message-Id: <D4E3BBB6-F1A2-4050-83E6-AE07BF89F00D@HIDDEN>
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
 <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
 <m1pmis740t.fsf@HIDDEN>
To: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
X-Mailer: Apple Mail (2.3696.100.31)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56155
Cc: Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_0B716061-1BDB-42A0-8F0F-5715B59760D6
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8



> On 2022-06-29,, at 1:38 , Daniel Mart=C3=ADn <mardani29@HIDDEN> =
wrote:
>=20
> Stefan Kangas <stefan@HIDDEN> writes:
>=20
>> Gerd M=C3=B6llmann <gerd.moellmann@HIDDEN> writes:
>>=20
>>> What I don't know is if this can only be seen on macOS.  On macOS, =
one can
>>> select an option from the menu bar, re-open the Options menu and =
select another,
>>> wihout Emacs running anything in between the two selections that can =
itself set
>>> update_mode_lines.  If anything else sets update_mode_lines, the ill =
effect will
>>> not show up.  Just clicking in the text area runs a command...
>>=20
>> FWIW, I can reproduce the issue consistently on my macOS machine, but
>> not on GNU/Linux.
>=20
> That's interesting.  Could you put a breakpoint on that C function on
> GNU/Linux to see if it's called, for example, when you close the menu?
> That may be the key difference between macOS and the other operating
> systems.  I don't have a GNU/Linux system at hand right now, but I can
> investigate if needed.

I don't think it's necessary.  There are so many differences between =
toolkits in Emacs anyway, and f-m-l-u is portable in that sense.

>=20
> (BTW, as an aside, getting a Lisp backtrace using LLDB on macOS is a =
bit
> time-consuming because of all the manual steps to print the pointer
> structures.  If I have time, I'd like to write an .lldbinit file with
> LLDB commands to make this process much simpler, although I don't know
> how many people are debugging Emacs using LLDB here.)

One people sits here.

GDB is currently not supported on macOS with Apple M1 says gdb-devel, =
and there is currently no one working on this that they know of.  So, =
I'm kind of stuck with LLDB for now.

If you get something working, please let me know.  The pressure of =
suffering is increasing, here.  I haven't got any further than a =
hello-world command so far.


--Apple-Mail=_0B716061-1BDB-42A0-8F0F-5715B59760D6
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - https://gpgtools.org

iQIzBAEBCgAdFiEEirYePpiT82Hjkftpc+obGZDFPmMFAmK75AQACgkQc+obGZDF
PmNGrA//cLlApv3652VuG5KWiKL1k00ci+nmiURwZyCe9sJseZO2YmxdJgd7H7Xx
dZOYOP00ms4BdpXDkZPkCmyEaCmh5LsTSnWecjyWZEhsIASg1wLu4jcZJUEGXrLH
425SQZtd6ARn8c7U7C5R9MKccBCqD4qFpac2twEC23e9Ob9ZWOV/7DYPPpOlJV3l
hWP5sT2U+EK30nq8D1Gq2wtghvrtJ7JSL8VUFC8Uhu+p4WVmA9p7pK67NNyQJllO
XT3F1grsPVkXr3pDVaAAy0i0bxMsJwwOv0BkAEbnwBFakKOE/T8U9jTf+7Q9BcOH
c8gzJH1DM9qJZub1GPFbbA/99/QB4rD1v2yHS0FWNYBe1U9KEJhK6Cv4TMKN7c98
hUt/ukt5tfxY4gGXK5wy+yPWyWqHp6SuqDBlw+K5ai6MKoNCbX58vRJWjr6OgRdD
GXEzqHBCqZVUSeR4ZikPAeBFB94Hg7zUtnmO/d4bA/APxzVbkQJloa1OqJjlGO1m
n4+18xbwk6/+yJXgxzYqxMpRkOTT4+9lSKAyZh1VuW3gRDagMYtavwl0jmVTRBWa
p5Zhfh1QClUWxni0dz3NXVFBp9G5YqXSEnwKS4wiJVXzIhkMQ6Cnwt3Y14uN00tR
cdxGMiB+jqlL5+TAf6y0SqModQysijqLWdrkoGAukAsICMsvlr0=
=JRzI
-----END PGP SIGNATURE-----

--Apple-Mail=_0B716061-1BDB-42A0-8F0F-5715B59760D6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 28 Jun 2022 23:38:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 19:38:23 2022
Received: from localhost ([127.0.0.1]:56640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Kml-0005a4-Mn
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 19:38:23 -0400
Received: from sonic306-21.consmr.mail.ir2.yahoo.com ([77.238.176.207]:41064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1o6Kmj-0005Zr-C2
 for 56155 <at> debbugs.gnu.org; Tue, 28 Jun 2022 19:38:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1656459495; bh=Fx6lNkN1iCr46+EN6mkuDJNNMinT0EPsmxvG15in33w=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=CWCrHtHtlrteneJfjM0z+padWmaRjrZcIT4KkWJ/uFcteZTUkox7OP2v/6zGqWIB6qyQvW3O4SXOubtDyjx0F6gqUhJ0MpgLj/GmpIidQcsibAYlmHSBHGFxPGw/epLAJqTJQwN8czmf+p+9brecJhkk8pMQibrlWBKz2UGAM1lsJw99Fl9/7yEbFTXS5nmgBPGiiipd+pTiMH8VFbtV3YbT70BkJVEQPKeizSiUi1cC/p3Mcoqr33gMPueHUsHXUdz6SkgGNOuxHK5fB4xxPJZTks+9PeQSb42LjA+NLVsWBovXeUqa4u8gZ/CVclF4duYX8VIwjB5UFKZC8JIDVA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656459495; bh=meKxwJB9D2wdZGAEE06eHJZMO8MXmR6wkfZWyJfl+Kf=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JeNOidhTkM/uxcdw1AMAK2Pw/5sxGo7FUFyu/2qoZBrV/BNlA4AdPUiRNcs7+14Bxe7vhMmRc5t9oEJXL6H6gMOzjLqrI/HwDO3/mULZyiXtO6HTQ3CGS8ycC6oZcHHlQhFYKl9O5BcvSXhKlZBXzoc9aGdbvynxWtIGrP01RUgJH0RdnBeYa8A4OhVU26uIjtcS5TMt/6D/WONiY/45PsyANSy12EpWV1sMmdziQTbHtbFjeOSEhDOX2tHwmU7sP37ugOq3/CdTsEkYFZ14PUwtKHmaCXm+u3aA7Cuj39B8O+BTGEViS18yTDQIp5UfxPL0fnvLSr3d1XYpdE2WfQ==
X-YMail-OSG: SilIO4cVM1k3caVPd6dCEZPZZZlhCgI3boC_bygTFbAUAuQBtq.VNIPGE1FLCUU
 kxi_C04IFSt9JdqHQjgiNyPn7xqdigB3.3skDFTTl5jpvbK1kvqC7OfJQfRIDKWKMfLtJ9bhIGXZ
 J13kHz3JpXfSzPvotLykI7NhmnfCooSMKtDS43YFKMMeMh99phcg3mQ8dboDxIVcA2668XuCdWQ4
 hh6dXLrecmBraF6XXSqT2UAZF3P69R1.k5qQOZ7iUfed7EUyL0f7L65uLOnynmtQZiJnqap2Qn1a
 pxOIMJ.m8QiG9Weqn8vyVeGNz3PEXOXtGhUk_14PVdZeasnvLWB_wQV_fMDYcFKHREU9f2E33rm1
 cYQ2WUqHZhvYIn.fJvsjWjOagUDKUXUg7HytIJOfKGnmu.QK50uaMKb1uLT_ZTn1Chf.E41XKpFE
 OWCpBAtJM4OcWWS1uP_A6gCRqmPJM0xumqId5qv8KfuNrBM84ERhk96aMNKiSZJdwgNqfS3IKrmE
 thvVM5QUgh_Z_mBY.U4_RbDq8W91t3AKOgwDDlrSmhFfTV910sK0DKBJjbimlfDIgmiPH0uI93zx
 tH5ko9ZWBR0YfN06Jo9pIMu8nn_oHIno3trQ4ZolkRVdg5efb2z6Igzv4BYIHn38isaphu6L3Fh9
 yqYUO1UNyPIfj3wTr4ouiev.13bgkz3HvS14w_Ee.c0ZgJpLzhPW8wxwyKybvfQl5R893esKkkQA
 3HzVJyOHc4qMVYO239tFue2n5d_O3kGVqTIjIcI5tp7cGOKfpLJ554gJEEy7XbMQYE1UQGN38Muh
 sMQCkTooseyusTGqKx4Sx2ny0ZzJyxIYDfHmol.rhYDHcV0PbKI3x3H1ei836tLZ4AQgIQDJ1SIV
 .PVCpHGvr6LQQongwGo1jxUiI.FZH8QFO1zqqq86aU1SnboCE0k9B_JqwfE8vBDXCE0AsS6dQ4Qj
 pv85ODPr4txV1hyBOZoMfddIlkdtllabS_bGnwG8ZNQKFpStXHm.zNUO6K7IppSbps78xjmIG5M3
 HWzo12Q5DJuHtYy_Sq2zQSvIq3vUGZPG4T7xezNd.lrrD14pjmYir5DQuVSv2S3oBQFF19JY0.vh
 ThA_rlUwTMepji0bGcMPwUaGhZ3Qbaxib1CFVFSVwzXRAt7vCrH9RSPuJKub_BIlnH9dKeBezi8S
 OSghTkfpvqZkhu2IePlJalBcut1GAmRPLJL_vMnQJMK_zvCovQ.f.7hIF3z78KsZqwfAUKAa8XRE
 RsUgAiMMKmjeK_Y2ruNxCMcV3mQyh42ie.PPTCiCZNoU2wD_9v3And4mM2weRTqNZJXeqGApjTD0
 y_XaHrc5BpzgXYgSWZzd25y0C0SD61pKFhhJ6C19fmCy_Ik8NewuR8fVSLLXOCD164xpjJhvalkP
 U1GtWNBRJe5rAUXSeQznuz05NjlxSfqDZki8yOOHUuZp1P8pwgIdM_a_szHHvEXKVp5rmMLArP9t
 lQQ1WfPwKJolTKxYlXUKGOPCvkbCCNuROxi.G.aqlNb_.6GdUKh0OjOMul_7n0Py.IHr2jZPCy54
 P3KaeMjl21Hw0ar3qJXr0ySRCsoTIwumrabIudA0Gz4Blxp9BHKvKJpegGk0B6JHqqYNlLm2f3Dl
 KemW4opGbKDJ7zBi4c9W_lvzjt0CjgU2ww1R6UQ6moborQC03x1aGF77l49ZsCdcTtr3Xts4nECL
 xE0OYping3nf4GML52F.dRT2X7Jbyrs4R3obkVdsNtFSqHJF1VaRZerJj7WeAS4UEsI.OaKYshAr
 iEXYSbeV.ROPXjUnFnocj5Iu_D2BznYl8y3V3xrWF8bXcW2KpHQAll7zclg3iGtt6SrNQQlzsyys
 zu.PFkzRHbgbv3nhztJkMh6.cTwgqQTucw7jv6lwgEPyx6QP7vlLlqkpzUYBxRKAcGrklDrvDTg.
 1bKOERB8oJvPTT6G1cQaVZ1JkJPF5O.sdWRyskqqJWsW3I5pwdPM5k61f0KdwmtZwJtMlHC8w5M7
 bJnWyna.N3bpzy3ThGdccAU8.RpU3wGKmNsLxhVGUrBgS_Fddw2L3ndRz1XOfuSCuhwuz3.kpZDH
 U3Zo1Sb.exqCICNMgPm16yrB3_IQ0XDQj.nXjVSsNkL3VOEGbU7Y53TY61fUpZMIc5ypYhIRfdfM
 a0_QjDUCLQ.R6EFtQKKJVnxFXZPAYkSdA7UzVnSMTZtrxUMfn8VqJKQYHf9sVMxL3A5EK3ahmh08
 ._LByhBf_OohLRmlMLy8kaH1PNV5jKKQnsO7STQn9iSB3yuKhnbY-
X-Sonic-MF: <mardani29@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ir2.yahoo.com with HTTP; Tue, 28 Jun 2022 23:38:15 +0000
Received: by hermes--canary-production-ir2-74b4d6d794-9p54l (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 9294b73491ac5f29e5fa0eae8aac9a79; 
 Tue, 28 Jun 2022 23:38:11 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
 <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
Date: Wed, 29 Jun 2022 01:38:10 +0200
In-Reply-To: <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
 (Stefan Kangas's message of "Tue, 28 Jun 2022 14:21:49 -0700")
Message-ID: <m1pmis740t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1240
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 56155
Cc: Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Stefan Kangas <stefan@HIDDEN> writes:

> Gerd M=C3=B6llmann <gerd.moellmann@HIDDEN> writes:
>
>> What I don't know is if this can only be seen on macOS.  On macOS, one c=
an
>> select an option from the menu bar, re-open the Options menu and select =
another,
>> wihout Emacs running anything in between the two selections that can its=
elf set
>> update_mode_lines.  If anything else sets update_mode_lines, the ill eff=
ect will
>> not show up.  Just clicking in the text area runs a command...
>
> FWIW, I can reproduce the issue consistently on my macOS machine, but
> not on GNU/Linux.

That's interesting.  Could you put a breakpoint on that C function on
GNU/Linux to see if it's called, for example, when you close the menu?
That may be the key difference between macOS and the other operating
systems.  I don't have a GNU/Linux system at hand right now, but I can
investigate if needed.

(BTW, as an aside, getting a Lisp backtrace using LLDB on macOS is a bit
time-consuming because of all the manual steps to print the pointer
structures.  If I have time, I'd like to write an .lldbinit file with
LLDB commands to make this process much simpler, although I don't know
how many people are debugging Emacs using LLDB here.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 28 Jun 2022 21:22:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 17:22:01 2022
Received: from localhost ([127.0.0.1]:56532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Iem-0006J0-UQ
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 17:22:01 -0400
Received: from mail-pl1-f173.google.com ([209.85.214.173]:37444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1o6Ieh-0006IZ-8s
 for 56155 <at> debbugs.gnu.org; Tue, 28 Jun 2022 17:21:55 -0400
Received: by mail-pl1-f173.google.com with SMTP id k14so12212294plh.4
 for <56155 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 14:21:55 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=0XJpHSTZTemtdy33Cis9MSOPpvpJMXGw+ZTKU7Z8pHk=;
 b=NKuM2NnUZjDbiGlao+0LwH9iZWfRYQ4F4Z34N4EnTFltzGRGyZ6zWbcT7bL9slCOKK
 eeiKZgTsyZWbRpiReUwPi8EVHF2NqpOX7FudRpyepKH2bJIaJRNKNAyyI/2f5FhbiUH4
 M9yFOdFsZ0uAsvnOLFB1fTr0Yo6k78dejMlu2rdF9JEYD43glWbjC84+4FiDiPYqAkH4
 KKdPH+9oOe1t8qO110hdnwjvcpBWz9MHq3H5nt4tYmIo9RMR+Cg0Yuh8lEDmrabMY1Mh
 ioAXx0ZjJ4flajJwX+A1dWdyg2W4dDdHQIItQMp4TFOOqdRzeuFQPiCUPGKvzlSOYIUF
 JeiQ==
X-Gm-Message-State: AJIora+an62SHYMjfpAVPMwiSjiZ35rTGQxvJF0YRcbiPOm/QriDTj/X
 w8p+QxYxFo8x0taGu7+B+2WA/S23VKI0RXVGEOU=
X-Google-Smtp-Source: AGRyM1u3Fet1Xvs4oV1IQVPbrixvsj22k8OJFr2UKAhjHbr/iRPLcTYHbV2vW4HLgGyD+XIotdEnBmGjTTsLZGGbqrs=
X-Received: by 2002:a17:902:cecc:b0:16a:416c:3d14 with SMTP id
 d12-20020a170902cecc00b0016a416c3d14mr5609647plg.73.1656451309641; Tue, 28
 Jun 2022 14:21:49 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 28 Jun 2022 14:21:49 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: =?UTF-8?B?PDEyRDY5NkQyLTE1MDItNDhEQy04RkQ3LTIwMTgzQzQ3RURBREBnbWFpbC5jb20+?=
 =?UTF-8?B?ICgiR2VyZCBNw7ZsbG1hbm4iJ3MgbWVzc2FnZSBvZiAiVHVlLCAyOCBKdW4gMjAyMiAxNDowNjoyMiAr?=
 =?UTF-8?B?MDIwMCIp?=
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
 <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 28 Jun 2022 14:21:49 -0700
Message-ID: <CADwFkmkt_eMikOF3=vw-2vKT83ZvcQyLfehczHF5B-U6HGgvCg@HIDDEN>
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
To: =?UTF-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 56155
Cc: Eli Zaretskii <eliz@HIDDEN>, 56155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gerd M=C3=B6llmann <gerd.moellmann@HIDDEN> writes:

> What I don't know is if this can only be seen on macOS.  On macOS, one ca=
n
> select an option from the menu bar, re-open the Options menu and select a=
nother,
> wihout Emacs running anything in between the two selections that can itse=
lf set
> update_mode_lines.  If anything else sets update_mode_lines, the ill effe=
ct will
> not show up.  Just clicking in the text area runs a command...

FWIW, I can reproduce the issue consistently on my macOS machine, but
not on GNU/Linux.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 28 Jun 2022 12:06:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 08:06:35 2022
Received: from localhost ([127.0.0.1]:54135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o69zG-00062r-Uj
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 08:06:35 -0400
Received: from mail-ej1-f48.google.com ([209.85.218.48]:39529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1o69zD-00062W-0N
 for 56155 <at> debbugs.gnu.org; Tue, 28 Jun 2022 08:06:33 -0400
Received: by mail-ej1-f48.google.com with SMTP id ay16so25319429ejb.6
 for <56155 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 05:06:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=yyQD+o+FHAPTw965suM0iPL06s7Mxfw2Tn2FwXRqMks=;
 b=T05GuAMGmqgFBVR8feQK4M7r8H7MpDFkv2oGd9PBykaBqLuiGWmMbRgvLZbi6Vv+5D
 RPXiui/nwcpk+BkovhhOP8ZET4eE/Y4h3IjE8bZVy+6korwikUUVhr6soM0I/xUe22Eh
 7l98gUVy+IJK9ewH4urOyIIPW/9wz4EHoDxvboBzLOrrNJ1zN1F+9fJqvOQpBsxXPxqr
 TpkS9cnhSDTqmKpd89w38rmJDAEyYkxW0H2LiY+5V1CXB3MEYCwiX6hdUUhLYhfBrVXq
 pzcKibeslWCu+XDEtzkTesKDl7hwQrYHUuSsuRXFSQ7K7BEXRVYpYUWPX7n59DzM191B
 HYQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=yyQD+o+FHAPTw965suM0iPL06s7Mxfw2Tn2FwXRqMks=;
 b=uWzIM2rSJKoaBdMlzqVzWYUTs8KuLA47HcWCAIe1W6ukQrTqKs7cAtDoB68czvzowX
 +clIIL8I2OmK7qOBPHnYsc19X9UVjOjPKBoz44u4WDdoEb7kSvYKyN9z/BVGZhgPREu9
 095a/AZLQwNhR2p3gHioi0jRXyluJrcqrjauFvmua5OPpyVJNtgi01nmUnRwK6B7hAOK
 03otAJHUJ0WWgLfboBBSEe/I8wgwZXe9Zf9ij4udCLuRcde5XvCEjzOXawYON8j3n25v
 Wj0iTjpUnq5Qq69KY258FUkKZnrE31WkOlXH9Po59Yv8CsiPTP2dSRw5WqCEmjnMtSpT
 61tQ==
X-Gm-Message-State: AJIora8wqhyllJt6irYkNVLK+nqaVbKdqHLwIb3piEM2hgU3DI6XXJ9x
 49bDgEOFNUTKUFvpKdZxdB8=
X-Google-Smtp-Source: AGRyM1s6pPgkyPhl4vib8aKIIvGrWvpvDBTcymoFIAE957Swu3b8+xs0b8u0u4qvGQJRS1Mb7380fA==
X-Received: by 2002:a17:906:7394:b0:722:e9c5:8e82 with SMTP id
 f20-20020a170906739400b00722e9c58e82mr17541590ejl.239.1656417984720; 
 Tue, 28 Jun 2022 05:06:24 -0700 (PDT)
Received: from smtpclient.apple (pd9e3661b.dip0.t-ipconnect.de.
 [217.227.102.27]) by smtp.gmail.com with ESMTPSA id
 cb25-20020a0564020b7900b004359dafe822sm9502224edb.29.2022.06.28.05.06.23
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 28 Jun 2022 05:06:23 -0700 (PDT)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
Message-Id: <12D696D2-1502-48DC-8FD7-20183C47EDAD@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_CA30155B-9188-484C-AD45-D6570739F4B0";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.100.31\))
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
Date: Tue, 28 Jun 2022 14:06:22 +0200
In-Reply-To: <83pmizele6.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <m2pmizd9vn.fsf@HIDDEN> <83pmizele6.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3696.100.31)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56155
Cc: 56155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_CA30155B-9188-484C-AD45-D6570739F4B0
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_ADCE752F-C604-485F-ADA8-ED276F6D3379"


--Apple-Mail=_ADCE752F-C604-485F-ADA8-ED276F6D3379
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8



> On 2022-06-23,, at 12:15 , Eli Zaretskii <eliz@HIDDEN> wrote:
>=20
>> From: Gerd M=C3=B6llmann <gerd.moellmann@HIDDEN>
>> Date: Thu, 23 Jun 2022 11:09:16 +0200
>>=20
>> 1. emacs -Q
>> 2. =46rom the Options menu, select Save Places in Files...
>> 3. The toggle mark on the menu item remains unchanged
>>=20
>> This seems to work for some menu items, but not for others.  Maybe NS
>> specific, I don't know.
>=20
> I don't see it here, so it's probably NS specific, yes.

I think I have it.

Some toggle menu items lead to a force-mode-line-update, others don't.  =
For instance, Options -> Hightlight Active Region does lead to a =
f-m-l-u, Options -> Enter Debugger on Error doesn't.  Consequently, the =
next redisplay after selecting the toggle either decides to call =
set_frame_menubar or not.  If it isn't run, the toggle marks are not =
updated in the menu.

What I don't know is if this can only be seen on macOS.  On macOS, one =
can select an option from the menu bar, re-open the Options menu and =
select another, wihout Emacs running anything in between the two =
selections that can itself set update_mode_lines.  If anything else sets =
update_mode_lines, the ill effect will not show up.  Just clicking in =
the text area runs a command...

A possible fix that works for me is attached.

Passing t to force-mode-line-update in the patch is be a bit brutal, =
perhaps.  I didn't want to play games after some brutal debugging.



--Apple-Mail=_ADCE752F-C604-485F-ADA8-ED276F6D3379
Content-Disposition: attachment;
	filename=0001-Ensure-correct-toggle-menu-item-display.patch
Content-Type: application/octet-stream;
	name=0001-Ensure-correct-toggle-menu-item-display.patch;
	x-unix-mode=0644
Content-Transfer-Encoding: quoted-printable

=46rom=20625b0ea76630314d3c88b31ad9aab0d159d2873c=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Gerd=3D20M=3DC3=3DB6llmann?=3D=20=
<gerd@HIDDEN>=0ADate:=20Tue,=2028=20Jun=202022=2013:55:35=20+0200=0A=
Subject:=20[PATCH]=20Ensure=20correct=20toggle=20menu=20item=20display=0A=
=0A*=20lisp/menu-bar.el=20(menu-bar-make-toggle-command):=20Call=0A=
force-mode-line-update.=20(Bug#56155)=0A---=0A=20lisp/menu-bar.el=20|=20=
6=20+++++-=0A=201=20file=20changed,=205=20insertions(+),=201=20=
deletion(-)=0A=0Adiff=20--git=20a/lisp/menu-bar.el=20b/lisp/menu-bar.el=0A=
index=204a943d2528..92989fcfb2=20100644=0A---=20a/lisp/menu-bar.el=0A+++=20=
b/lisp/menu-bar.el=0A@@=20-749,7=20+749,11=20@@=20=
menu-bar-make-toggle-command=0A=20=20=20=20=20=20=20=20;;=20=
interactively,=20because=20the=20purpose=20is=20to=20mark=20the=20=
variable=20as=20a=0A=20=20=20=20=20=20=20=20;;=20candidate=20for=20`Save=20=
Options',=20and=20we=20do=20not=20want=20to=20save=20options=20that=0A=20=
=20=20=20=20=20=20=20;;=20the=20user=20has=20already=20set=20explicitly=20=
in=20the=20init=20file.=0A-=20=20=20=20=20=20=20(when=20interactively=20=
(customize-mark-as-set=20',variable)))=0A+=20=20=20=20=20=20=20(when=20=
interactively=0A+=20=20=20=20=20=20=20=20=20(customize-mark-as-set=20=
',variable))=0A+=20=20=20=20=20=20=20;;=20Toggle=20menu=20items=20must=20=
make=20sure=20that=20the=20menu=20is=20updated=20so=0A+=20=20=20=20=20=20=
=20;;=20that=20toggle=20marks=20are=20drawn=20in=20the=20right=20state.=0A=
+=20=20=20=20=20=20=20(force-mode-line-update=20t))=0A=20=20=20=20=20=20=
'(menu-item=20,item-name=20,command=20:help=20,help=0A=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20:button=20(:toggle=20.=20(and=20=
(default-boundp=20',variable)=0A=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20(default-value=20',variable)))=0A--=20=0A2.36.1=0A=0A=

--Apple-Mail=_ADCE752F-C604-485F-ADA8-ED276F6D3379--

--Apple-Mail=_CA30155B-9188-484C-AD45-D6570739F4B0
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - https://gpgtools.org

iQIzBAEBCgAdFiEEirYePpiT82Hjkftpc+obGZDFPmMFAmK67r4ACgkQc+obGZDF
PmPQNhAAmIwYh17to4zQ4oIE5DTEVZaKkv3Sfnk2WFSrAiFoC8b/4VWzuoYf8aAa
NA58hhKFbKIog9lCLC4AMV4/i8hGCE6qUVR70Rf8r4Mb2owirjjHmV+SnIotLU2D
9wjAfC1WbxR3NCDDrFt+FICZEfKfthGVkRU0s8SRQCPsTLRcFTozmeRTMHahcCPV
+m3Ym4CPTW+CW1b7gikPZNXwssZIW1mS8R3RUKHLt2ggkj1freDMoRYy0cBfrHry
T4MVpSyMA2U/QdEQlCxQH6jKeF+ZxgQNC6kDPY6V+p+3xvz8bZPKJi68SNaaD2Bl
B+rsgGangs4QLARuou3J50nieGFW5ooV9KEfxbKFdUNAO3erCH0muwD7Kz+PeQYk
67p8yqbqnyXD4W6/IpuLDMxbt5QMjP98KUU/LL7GH/klUg//ReB+G1tiwOeNnxPB
X3v/v4Q3gWG5X6uz4iXPGybNFM/WOFYlfdjf6ubzD6tc8NUoTPDjq1aHMNMgq7Eo
wAw3Y6YEaT9ZTCejmPgWaE4GSn5likliZ8dYC9hTT4SxbUweOPJ9njCUJgIcPmPT
78Cxe7Rtzn9dbtBU5DXuExqZl+YAVgjT2nFfgnDmE/KeP8/PmBatsq5xVHmF/g6x
VgDA9SuI7Hv7q9ftezkuhWFtwN8a29SmDyoWyxSQXGJupIx41Y4=
=tDi8
-----END PGP SIGNATURE-----

--Apple-Mail=_CA30155B-9188-484C-AD45-D6570739F4B0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at 56155 <at> debbugs.gnu.org:


Received: (at 56155) by debbugs.gnu.org; 23 Jun 2022 10:15:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 06:15:30 2022
Received: from localhost ([127.0.0.1]:37544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Js2-0003uM-Dd
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 06:15:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o4Js0-0003u6-MR
 for 56155 <at> debbugs.gnu.org; Thu, 23 Jun 2022 06:15:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40046)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4Jrv-0003qI-Fg; Thu, 23 Jun 2022 06:15:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=UQb1CgddLcV1cl9+0/+Ohg+gRppcFlbpfaddAMVs95M=; b=WfTmdMmxYMYgbim9dSWB
 Sr2XIn17uU1ez1RUbkcLlBjro+1yFOlJPMb+RB+6qW78FlpAJmC10dkkOYnuegE20fOlAG1vf4m/o
 PRR6m4dsM8EWsztnNxIRZkCNeM1VG2JGa/HY1Hrb1ji3FfuTjOz5TQ0z557tCKy8YV8FWzj1IL4t4
 3Ypw/9p7u0bAHO3jFQMBPJcuiBriM2Ncse+S2eUAiqPo6nE/Brd2QFgN3xF75mTT7ncvQvqpv00kn
 dHOpAnyPkOGQwYFsB/duLKSa7fDBmMRIu/fOmZfCHE5BQK+2npU1dqQqhH3cnBtO9CkiI6Buq7tuT
 eae/l5W3Q79J+Q==;
Received: from [87.69.77.57] (port=1669 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4Jru-0004Ak-VU; Thu, 23 Jun 2022 06:15:23 -0400
Date: Thu, 23 Jun 2022 13:15:13 +0300
Message-Id: <83pmizele6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gerd =?iso-8859-1?Q?M=F6llmann?= <gerd.moellmann@HIDDEN>
In-Reply-To: <m2pmizd9vn.fsf@HIDDEN> (message from Gerd
 =?iso-8859-1?Q?M=F6llmann?= on Thu, 23 Jun 2022 11:09:16 +0200)
Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated
References: <m2pmizd9vn.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56155
Cc: 56155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Gerd Mllmann <gerd.moellmann@HIDDEN>
> Date: Thu, 23 Jun 2022 11:09:16 +0200
> 
> 1. emacs -Q
> 2. From the Options menu, select Save Places in Files...
> 3. The toggle mark on the menu item remains unchanged
> 
> This seems to work for some menu items, but not for others.  Maybe NS
> specific, I don't know.

I don't see it here, so it's probably NS specific, yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2022 09:09:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 05:09:26 2022
Received: from localhost ([127.0.0.1]:37354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Iq5-00043X-Rs
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:09:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:51312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1o4Iq2-00043O-15
 for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:09:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40896)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gerd.moellmann@HIDDEN>)
 id 1o4Iq1-0006gs-E1
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jun 2022 05:09:21 -0400
Received: from mail-ed1-x534.google.com ([2a00:1450:4864:20::534]:45960)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <gerd.moellmann@HIDDEN>)
 id 1o4Ipz-0001iw-Rx
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jun 2022 05:09:21 -0400
Received: by mail-ed1-x534.google.com with SMTP id o9so18339824edt.12
 for <bug-gnu-emacs@HIDDEN>; Thu, 23 Jun 2022 02:09:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=J3Yz2FSdRqySrE0JoVL8hrxwMwWJMThqucC3t5YD1D0=;
 b=LIngcdBTz9VkAtSIIGVJFZkVuopF2OrctvkZ5PSBIDlgxNUTNnWuCfTphk+z6Gp5CN
 mnkOXTY9hJIq+s/G7jTbKU4dwuRjLaJVt+B9+ETyXEkbpq7GN+/9qpjg8A+xH4KW3H8J
 VYdU2t5TKwqV/RG2F4P16ozL2qKn/SFVP+rLL1trYZej0BFZdK4cbO9ND4KTYPK4Kumb
 uaUISzNrFfmjSsD7mOiz/16ZFRMbe0RUueNMKc4oiwX/oumGm2QKRmuiyEnTcV/XbAAA
 IASZHXV6JlGyXbHXSGZ0pWkL403AUVFWJhLzkH2wIWyyZcCSvH8qcRTtQ8D9pKQ7oHsN
 fK5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=J3Yz2FSdRqySrE0JoVL8hrxwMwWJMThqucC3t5YD1D0=;
 b=zZ7xNVBRTzE2JpIqPGzfo/IxO5bVnrePPg0YQ6NLvqSScMTeySr0L+a4H6fLpaObqT
 Y9eA/yz5mxoujMjAVcfgX+5OXdQAEkA5qRqMEZ88X5IqpCgGEW4QTDEAy5Ur2tUCpxjk
 8nR7RP09/wMe3vK1zXvVJvBoobx67DUiKMdr5IhxrM3BtNrnPdy2UEdMqYSJhN/H/+Vx
 p8omMMziuXzXps3Xd0QO9OBolvWByaRoCBbzbnFaDY7GjhW6MGEphledAkiWMwFkGiiU
 HP6kmXW1mlFXl2ZEP3nAW7A+MDMN4e3DsxhMnYua5SqlBbsRusVW8uqY7buP8Wjho6fF
 WhPQ==
X-Gm-Message-State: AJIora+KmyWm/KqdeI9D1vrBsGJZ8VoX2Es2ItNkqeSk8QIp2iI9G21m
 Psfz4/zazhqKm91nNyeteSv7vH/1eMQ1WZLf
X-Google-Smtp-Source: AGRyM1sOiyKnMDlw7hEbIWZLwxw7PjM31IpalNzmHJtMv/W8CM5TT6lHgLOzcer5uv/3O8wGmWJ0UA==
X-Received: by 2002:a05:6402:320f:b0:435:7236:e312 with SMTP id
 g15-20020a056402320f00b004357236e312mr9376554eda.115.1655975357803; 
 Thu, 23 Jun 2022 02:09:17 -0700 (PDT)
Received: from Mini.fritz.box (pd9e367fb.dip0.t-ipconnect.de.
 [217.227.103.251]) by smtp.gmail.com with ESMTPSA id
 cy2-20020a0564021c8200b0042ab2127051sm16701833edb.64.2022.06.23.02.09.16
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 02:09:17 -0700 (PDT)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Options menu, toggle menu items not updated
Date: Thu, 23 Jun 2022 11:09:16 +0200
Message-ID: <m2pmizd9vn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::534;
 envelope-from=gerd.moellmann@HIDDEN; helo=mail-ed1-x534.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


In GNU Emacs 29.0.50 (build 5, aarch64-apple-darwin21.5.0, NS appkit-2113.50 Version 12.4 (Build 21F79))
 of 2022-06-21 built on Mini.fritz.box
Repository revision: b1af8c2c00aefe6aa554a468e65b6e07c9f14722

Recipe:

1. emacs -Q
2. From the Options menu, select Save Places in Files...
3. The toggle mark on the menu item remains unchanged

This seems to work for some menu items, but not for others.  Maybe NS
specific, I don't know.




Acknowledgement sent to Gerd Möllmann <gerd.moellmann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56155; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Jun 2022 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.